commit:     3bd0d4f1dc2390b9543236942409b98c51cbd7de
Author:     Aaron W. Swenson <titanofold <AT> gentoo <DOT> org>
AuthorDate: Mon Jan 15 10:35:14 2018 +0000
Commit:     Aaron Swenson <titanofold <AT> gentoo <DOT> org>
CommitDate: Mon Jan 15 10:36:35 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3bd0d4f1

app-text/cedilla: Bump to 0.7

Closes: https://bugs.gentoo.org/451880
Package-Manager: Portage-2.3.13, Repoman-2.3.3

 app-text/cedilla/Manifest           |  1 +
 app-text/cedilla/cedilla-0.7.ebuild | 30 ++++++++++++++++++++++++++++++
 2 files changed, 31 insertions(+)

diff --git a/app-text/cedilla/Manifest b/app-text/cedilla/Manifest
index f032654531a..6a88f48a4dc 100644
--- a/app-text/cedilla/Manifest
+++ b/app-text/cedilla/Manifest
@@ -1 +1,2 @@
 DIST cedilla-0.6.tar.gz 130676 BLAKE2B 
e316dff5ab9bb89dd350e9842847ed700846cfd57370be17198aa3c54f0562a4c26d23a49acccf8c7dc0b55f1765668dbfa24dbf57f50e568ac3039f7b5d662c
 SHA512 
95d98fd4ab95b48023f635d61133ea1a8138a797cd1c414da0d4907531eb067ac147e8d612a528373da425d37fee7c1139dc7f0019308938c096e37caebf4e38
+DIST cedilla-0.7.tar.gz 114899 BLAKE2B 
100c22be30ffed585a1eb44c96109dadab9cbf90c5c3432efd4ed8daa135fa0d9fb82374eda9f9f13126cc5d453ecb5933d8733a58e374ab3192ea7d5bd6d273
 SHA512 
a137bceee2c70e911922b17e823093dc37b19cce8dece99596003ae7b4bc8c02afbae164d7dfa4e4873b4f549f7d948faf1da9dc1d3ef89cde6d1f36ba91be77

diff --git a/app-text/cedilla/cedilla-0.7.ebuild 
b/app-text/cedilla/cedilla-0.7.ebuild
new file mode 100644
index 00000000000..d6e687479ec
--- /dev/null
+++ b/app-text/cedilla/cedilla-0.7.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+DESCRIPTION="UTF-8 to postscript converter"
+HOMEPAGE="http://www.pps.jussieu.fr/~jch/software/cedilla/";
+SRC_URI="http://www.pps.jussieu.fr/~jch/software/files/${P}.tar.gz";
+
+KEYWORDS="~amd64 ~x86"
+SLOT="0"
+LICENSE="GPL-2"
+
+DEPEND="dev-lisp/clisp"
+RDEPEND="${DEPEND}"
+
+PATCHES=( "${FILESDIR}"/cedilla-gentoo-r1.patch )
+
+src_compile() {
+       ./compile-cedilla || die "Compile failed."
+}
+
+src_install() {
+       sed "s#${ED%/}##g" -i cedilla || die "sed failed"
+       dodir /usr/share/man/man1/
+
+       ./install-cedilla || die "Install failed."
+
+       einstalldocs
+}

Reply via email to